## com.google.gwt.event.logical.shared
Interface HasSelectionHandlers<I>

Type Parameters:
  `I` - the type being selected

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  DecoratedTabBar, DecoratedTabPanel, SuggestBox, TabBar, TabPanel, Tree

    public interface HasSelectionHandlers<I>

extends HasHandlers

A widget that implements this interface is a public source of `SelectionEvent` events.

Method Summary
`HandlerRegistration` | `addSelectionHandler(SelectionHandler<I> handler)` Adds a `SelectionEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addSelectionHandler

    HandlerRegistration addSelectionHandler(SelectionHandler<I> handler)

  Adds a `SelectionEvent` handler.

  Parameters:
    `handler` - the handler
  Returns:
    the registration for the event